## grim 1.1+ds

=== meson_options.txt ===
option(
	'jpeg',
	type: 'combo',
	choices: ['auto', 'enabled', 'disabled'],
	value: 'auto',
	description: 'Enable JPEG support',
)

=== debian/changelog ===
grim (1.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Replace debhelper with debhelper-compat
  * Bump standards version
  * Remove upstreamed patch
  * Cleanup the package's git repository

 -- Birger Schacht <birger@rantanplan.org>  Sun, 10 Feb 2019 12:43:22 +0100

grim (1.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #915202)

 -- Birger Schacht <birger@rantanplan.org>  Tue, 04 Dec 2018 20:43:04 +0100

=== debian/control ===
Source: grim
Section: x11
Priority: optional
Maintainer: Birger Schacht <birger@rantanplan.org>
Build-Depends: debhelper-compat (= 12),
               libcairo2-dev,
               libwayland-dev,
               meson,
               scdoc,
               wayland-protocols,
Standards-Version: 4.3.0
Homepage: https://wayland.emersion.fr/grim/
Rules-Requires-Root: no

Package: grim
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command-line utility to make screenshots of Wayland desktops
 grim is a command-line utility to take screenshots of Wayland desktops. For now
 it requires support for the screencopy protocol to work. Support for the
 xdg-output protocol is optional, but improves fractional scaling support.
 grim will write a PNG to a file or to stdout.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/grim-$1\.tar\.gz/ \
https://github.com/emersion/grim/tags .*/v?(\d\S+)\.tar\.gz

## grim 1.2.0+ds

=== debian/changelog ===
grim (1.2.0+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control:
   + Add Vcs-* fields
   + Bump standards version to 4.4.0
  * d/gitlab-ci.yml: Drop custom config, rely on "Salsa CI Team"

 -- Birger Schacht <birger@rantanplan.org>  Sun, 21 Jul 2019 22:07:07 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
                meson,
                scdoc,
                wayland-protocols,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://wayland.emersion.fr/grim/
 Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/bisco-guest/grim.git
+Vcs-Browser: https://salsa.debian.org/bisco-guest/grim
 
 Package: grim
 Architecture: any

## grim 1.3.0%2Bds

=== debian/changelog ===
grim (1.3.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Add a d/gbp.conf
  * Bump standards version to 4.4.1 (no changes required)
  * Update Vcs-* and Maintainer fields and add Uploader
  * Add d/upstream/signing-key.asc and add pgpgsigurlmange to d/watch

 -- Birger Schacht <birger@rantanplan.org>  Tue, 21 Jan 2020 19:05:40 +0100

=== debian/watch ===
version=4
opts=repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
pgpsigurlmangle=s/archive\/v?(\d\S+)\.tar\.gz/releases\/download\/v$1\/grim-$1\.tar\.gz\.sig/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/grim-$1\.tar\.gz/ \
https://github.com/emersion/grim/tags .*/v?(\d\S+)\.tar\.gz

## grim 1.3.0+ds

=== meson_options.txt ===
option('jpeg', type: 'feature', value: 'auto', description: 'Enable JPEG support')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: grim
 Section: x11
 Priority: optional
-Maintainer: Birger Schacht <birger@rantanplan.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Uploaders: Birger Schacht <birger@rantanplan.org>
 Build-Depends: debhelper-compat (= 12),
                libcairo2-dev,
                libwayland-dev,
                meson,
                scdoc,
                wayland-protocols,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://wayland.emersion.fr/grim/
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/bisco-guest/grim.git
-Vcs-Browser: https://salsa.debian.org/bisco-guest/grim
+Vcs-Git: https://salsa.debian.org/swaywm-team/grim.git
+Vcs-Browser: https://salsa.debian.org/swaywm-team/grim
 
 Package: grim
 Architecture: any

## grim 1.3.1+ds

=== meson_options.txt ===
option('jpeg', type: 'feature', value: 'auto', description: 'Enable JPEG support')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('fish-completions', type: 'boolean', value: false, description: 'Install fish completions')

=== debian/changelog ===
grim (1.3.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.5.0 (no changes required)
  * Update uploader address
  * Bump debhelper compat version to 13
  * Add Bug-Tracking to upstream/metadata

 -- Birger Schacht <birger@debian.org>  Wed, 22 Jul 2020 12:04:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: x11
 Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
-Uploaders: Birger Schacht <birger@rantanplan.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Birger Schacht <birger@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libcairo2-dev,
                libwayland-dev,
                meson,
                scdoc,
                wayland-protocols,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://wayland.emersion.fr/grim/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/grim.git

## grim 1.4.0+ds

=== debian/changelog ===
grim (1.4.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Update build dependencies to reflect switch to pixman
  * Drop filenamemangle option from d/watch
  * Update year range in d/copyright stanza for debian/*

 -- Birger Schacht <birger@debian.org>  Thu, 17 Feb 2022 13:00:53 +0100

grim (1.3.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.0.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Sat, 06 Nov 2021 09:39:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libcairo2-dev,
+               libpng-dev,
+               libpixman-1-dev,
                libwayland-dev,
                meson,
+               pkg-config,
                scdoc,
-               wayland-protocols,
-Standards-Version: 4.5.0
+               wayland-protocols (>= 1.14),
+Standards-Version: 4.6.0.1
 Homepage: https://wayland.emersion.fr/grim/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/grim.git

=== debian/watch ===
version=4
opts=repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
pgpsigurlmangle=s/archive\/v?(\d\S+)\.tar\.gz/releases\/download\/v$1\/grim-$1\.tar\.gz\.sig/,\
https://github.com/emersion/grim/tags .*/v?(\d\S+)\.tar\.gz

## grim 1.5.0+ds

=== meson_options.txt ===
option('jpeg', type: 'feature', value: 'auto', description: 'Enable JPEG support')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('fish-completions', type: 'boolean', value: false, description: 'Install fish completions')
option('bash-completions', type: 'boolean', value: false, description: 'Install bash completions')

=== debian/changelog ===
grim (1.5.0+ds-0deepin1) UNRELEASED; urgency=medium

  * New upstream release

 -- Cryolitia <cryolitia@deepin.org>  Tue, 08 Jul 2025 15:43:45 +0800

grim (1.4.0+ds-2) unstable; urgency=medium

  * Fix d/watch file

 -- Birger Schacht <birger@debian.org>  Fri, 08 Apr 2022 11:03:07 +0200
